OpenVDB 7.0.0

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
MaskCompress< ValueT, MaskT > Struct Template Reference

`#include <Compression.h>`

## Public Member Functions
| MaskCompress (const MaskT &valueMask, const MaskT &childMask, const ValueT *srcBuf, const ValueT &background)

## Static Public Member Functions
static bool | eq (const ValueT &a, const ValueT &b)

## Public Attributes
int8_t | metadata = NO_MASK_AND_ALL_VALS
ValueT | inactiveVal [2]

## Constructor & Destructor Documentation

## ◆ MaskCompress()

MaskCompress | ( | const MaskT & | valueMask,
|  | const MaskT & | childMask,
|  | const ValueT * | srcBuf,
|  | const ValueT & | background
| ) |  |
| inline

## Member Function Documentation

## ◆ eq()

static bool eq | ( | const ValueT & | a,
|  | const ValueT & | b
| ) |  |
| inline static

## Member Data Documentation

## ◆ inactiveVal

ValueT inactiveVal[2]

## ◆ metadata

int8_t metadata = NO_MASK_AND_ALL_VALS

The documentation for this struct was generated from the following file:

- Compression.h